##	Distributed INDEX SYNCRONIZATION
##	Required for cluster environments
##	Note the dotCMS cluster will set itself up by setting the DIST_INDEXATION_ENABLED=true.
AUTOWIRE_CLUSTER_TRANSPORT=false
#User can turn off the Heartbeat Monitor.
#When set to off Network Portlet will be disabled.
ENABLE_SERVER_HEARTBEAT=true
HEARTBEAT_CRON_EXPRESSION=0 0/1 * * * ?
# period of time without writing heartbeat for considering a Node timed out. Expressed in seconds. 30 mins by default.
HEARTBEAT_TIMEOUT=1800
#Max number of days a server will be accepted to be down before remode it
MAX_DAYS_HEARTBEAT_INACTIVE=1

#DIST_INDEXATION_ENABLED=true
CACHE_DISK_SHOULD_DELETE=false

##	In milliseconds
DIST_INDEXATION_INIT_DELAY=5000
DIST_INDEXATION_SLEEP=500
#DIST_INDEXATION_SERVER_ID=1
#DIST_INDEXATION_SERVERS_IDS=1

##	CLUSTERED CACHE SETTINGS
CACHE_CLUSTER_THROUGH_DB=false

#CACHE_PROTOCOL=udp
#CACHE_BINDPORT=7800
#CACHE_BINDADDRESS=192.168.1.102
#CACHE_MULTICAST_PORT=45589
#CACHE_MULTICAST_ADDRESS=228.10.10.10

#CACHE_TCP_INITIAL_HOSTS=192.168.1.102[7800],192.168.1.121[7800]


##	Assuming CACHE_CLUSTER_THROUGH_DB is false the cluster will try to use the network to communicate what needs to be invalidated with other nodes
##	Currently you can use TCP or UDP to configure this communication. set to tcp or udp for the protocol
#CACHE_PROTOCOL=udp

##	The BINDPORT is the port to locally bind to.  The BINDADDRESS is the local address to bind to.  These are not always necessary.
##	For TCP the bind address and port are usually required. If you are having issues with UDP try to set the bindaddress.

##	The INITIAL_HOSTS is a comma separated list of hosts and port that are in the cluster. You must include the local server also.
#CACHE_BINDPORT=7800
#CACHE_BINDADDRESS=10.0.1.110

##	Some systems are not set up for UDP Multicast over IPv6 properly.
#CACHE_FORCE_IPV4=true

##	TCP Config
##	The INITIAL_HOSTS is a comma separated list of hosts and port that are in the cluster. You must include the local server also.
#CACHE_TCP_INITIAL_HOSTS=10.0.1.110[7800],10.0.1.122[7800]

##	UDP Config
#CACHE_MULTICAST_PORT=45588
#CACHE_MULTICAST_ADDRESS=228.10.10.10

##	Cache compression is used because the Velocity files are very large and with many it can fill up disk space fast.
##	No compression is faster but your average Velocty file can be around 40K-60K
USE_CACHE_COMPRESSION=false

##	Cache prepared statements
##	This option enables caching of prepared SQL statements
CACHE_PREPARED_STATEMENTS=false

#ClusterServerActionThread Sleep time
CLUSTER_SERVER_THREAD_SLEEP=2000

##################### ElasticSearch Configuration #####################

REINDEX_THREAD_INIT_DELAY=5000
REINDEX_THREAD_SLEEP=500

## Enable filters instead of regular score querys.
## This only apply for contentlet search. SiteSearch isn't affected by this value.
## Disable this if you plan to use "_score" to sort contentlets.
## Enable if you're unsure or looking for better performance.
## Usually avoiding score computation speeds up elasticsearch requests.
ELASTICSEARCH_USE_FILTERS_FOR_SEARCHING=true

##  Elasticsearch index config rule of thumb:
##  Having more *shards* enhances the _indexing_ performance and allows to
##    _distribute_ a big index across disks.   More shards on the same disk can
##    actually slow down search performance
##    Make sure your ulimit -n is set to more than 1024
es.index.number_of_shards=1

##  Elastic Search Path
es.path.home=/tomcat9/webapps/ROOT/WEB-INF/elasticsearch

#ES_AUTH_TYPE can take any of the following values: BASIC or JWT.
#If ES_AUTH_TYPE=BASIC, these properties must be set ES_AUTH_BASIC_USER and ES_AUTH_BASIC_PASSWORD
#If ES_AUTH_TYPE=JWT, a valid token (ES_AUTH_JWT_TOKEN property) must be set
ES_AUTH_TYPE=BASIC
ES_AUTH_BASIC_USER=admin
ES_AUTH_BASIC_PASSWORD=admin

#Enable TLS for ES rest api layer. If ES_TLS_ENABLED=true, certificates must be specified (ES_AUTH_TLS_CLIENT_CERT, ES_AUTH_TLS_CLIENT_KEY, ES_AUTH_TLS_CA_CERT)
ES_TLS_ENABLED=false
#Path relative to assets folder
ES_AUTH_TLS_CLIENT_CERT=certs/elasticsearch.pem
ES_AUTH_TLS_CLIENT_KEY=certs/elasticsearch.key
ES_AUTH_TLS_CA_CERT=certs/root-ca.pem

ES_HOSTNAME=elasticsearch

#Set token in case ES_AUTH_TYPE=JWT
#ES_AUTH_JWT_TOKEN=eyJhbGciOiJIUzI1NiJ9.eyJyb2xlcyI6ImFkbWluIiwiaXNzIjoiaHR0cHM6Ly9sb2NhbGhvc3QiLCJzdWIiOiJhZG1pbiIsImV4cCI6MTU2MjExODY1OTA0Mn0.f-t30zgA53Am3w7ueWNFpnhz_5SWiJjKaOT-rNeEp_M

##	These lines should be last to allow plugins to override values - touche pas!
## BEGIN PLUGINS
## END PLUGINS
